Bug 147453 - web_user_personal_info is lacking the email_uc column
web_user_personal_info is lacking the email_uc column
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Clifford Perry
Red Hat Satellite QA List
Depends On: 147612 147613
Blocks: 142205
  Show dependency treegraph
Reported: 2005-02-07 22:26 EST by Mike McCune
Modified: 2009-03-24 13:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-24 13:55:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2005-02-07 22:26:45 EST
This column exists in the Sat schema but not hosted.  This
inconsistency makes it difficult to write code that will work with
both codebases. 

This column should behave the same as the login_uc column.
Comment 1 James Slagle 2005-02-09 15:00:00 EST
Plan is to actually remove the email_uc from wupi in satellite.  The required
functionality will be acoomplished by the upper(email) index.
Comment 2 James Slagle 2005-02-21 17:45:59 EST
Column removed from satellite schema.
Comment 3 James Slagle 2005-09-27 16:25:51 EDT
Column *not* removed from satellite schema.  However, the index has been added
in hosted.  Not sure what's going on with this.
Comment 4 Mike McCune 2005-09-27 16:43:37 EDT
any reason we can't get the column removed from the sat schema?  We still would
like it removed so we can simplify the java code.
Comment 5 James Slagle 2005-09-27 18:16:35 EDT
Well, we went with the index on upper(email) in hosted b/c it was too
impractical to add a column for email_uc (and populate it) on hosted.  However,
to use the index we had to use a hint in the query.

The only issue with hints is that they force the use of Oracle's cost based
optimizer (CBO) as opposed to the rule based optimizer (RBO).  RHN typically
tries to stick with the rule optimizer.  No big deal for hosted really, b/c we
can keep on this query in hosted and if the CBO starts doing something funky we
can mediate those.

For a satellite though, I don't know if we want the embedded db switching
between CBO and RBO.  We would have to see if there were any issues.  So, I
don't know if it's worth the work just to have the Java code simplified,
although it may be.  Might be a good idea to get other folks thoughts on CBO vs.
RBO in a satellite.  Sorry for the brain dump, I had to get my thoughts straight
on what we had already done.
Comment 7 Red Hat Bugzilla 2007-10-25 20:47:40 EDT
User jslagle@redhat.com's account has been closed

Note You need to log in before you can comment on or make changes to this bug.